- Qt 6.6
- Qt GUI
- C++ Classes
- QtRhi
- QRhiMetalNativeHandles
- Qt 6.6.2 Reference Documentation

# QRhiMetalNativeHandles Struct

Holds the Metal device used by the QRhi. More...

Header: | #include <QRhiMetalNativeHandles>
Since: | Qt 6.6
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

MTLCommandQueue * | cmdQueue
MTLDevice * | dev

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### MTLCommandQueue *QRhiMetalNativeHandles::cmdQueue

### MTLDevice *QRhiMetalNativeHandles::dev